# Configuration for an Ubuntu installation, assuming the following list of
# packages is installed:
#
#    build-essential perl gfortran g++ libmpich2-dev
#
# In addition, installing the following list of packaed will prevent Cactus
# from compiling it's own versions of these libraries:
#
#   libfftw3-dev libgsl0-dev libatlas-base-dev libjpeg-dev libssl-dev libhdf5-serial-dev hdf5-tools
#
# Tools like GetComponents and Simfactory like to have the following list
# installed too
#
#   python subversion git

# Whenever this version string changes, the application is configured 
# and rebuilt from scratch 
VERSION = 2012-09-28

CPP = cpp
FPP = cpp
CC  = gcc
CXX = g++
F77 = gfortran
F90 = gfortran

CPPFLAGS = -DMPICH_IGNORE_CXX_SEEK
FPPFLAGS = -traditional
CFLAGS   = -O2 -g -fopenmp -march=native -std=gnu99
CXXFLAGS = -O2 -g -fopenmp -march=native -std=gnu++11
F77FLAGS = -O2 -g -fopenmp -march=native -fcray-pointer
F90FLAGS = -O2 -g -fopenmp -march=native -fcray-pointer

LDFLAGS = -rdynamic

C_LINE_DIRECTIVES = yes
F_LINE_DIRECTIVES = yes

VECTORISE                = yes
VECTORISE_ALIGNED_ARRAYS = no
VECTORISE_INLINE         = no

DEBUG           = no
CPP_DEBUG_FLAGS = -DCARPET_DEBUG
FPP_DEBUG_FLAGS = -DCARPET_DEBUG
C_DEBUG_FLAGS   = -O0
CXX_DEBUG_FLAGS = -O0
F77_DEBUG_FLAGS = -O0 -check bounds -check format
F90_DEBUG_FLAGS = -O0 -check bounds -check format

#HDF5_DIR=/usr/
#HDF5_ENABLE_CXX=no

MPI_LIBS=mpicxx
MPI_LIB_DIRS=/shared/software/intel/2019_u2/impi/2019.2.187/intel64/lib/
MPI_INC_DIRS=/shared/software/intel/2019_u2/impi/2019.2.187/intel64/include/


#MPI_DIR      = /usr
#MPI_INC_DIRS = /usr/include/mpi
#MPI_LIB_DIRS = /usr/lib
#MPI_LIBS     = mpi

PTHREADS_DIR = NO_BUILD

